#
# spec file for package fvwm (Version 2.0.46)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tetex xpm afterstp

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         fvwm
Release:      21
Copyright:    1994 Robert Nation, Mark Boyns, Mark Scott
Group: 
Provides:     fvwmicns 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.0.46
Summary:      THE window manager for Linux
Source: fvwm-2.0.46.tar.gz
Patch: fvwm-2.0.46.dif
%description
The fvwm window manager (version 2) is the standard window manager for
the X window system under Linux.  fvwm is highly configurable and
has a similar look-and-feel to the Motif standard.
The personal configuration is stored in the file ~/.fvwm2rc in the user's
home directory.  The system wide configuration is generated at installation
time by SuSEconfig and may be found in /usr/X11R6/lib/X11/fvwm2 .
Documentation: 
man fvwm2
/usr/doc/packages/fvwm 

Authors:
--------
    Charles Hines <chuck_hines@vnet.ibm.com>
    Robert Nation <fvwm@wonderland.org>
    Andrew Davison <davison@cs.monash.edu.au>
    Drew Moseley <ddm@cis.ufl.edu>
    Jason L Tibbitts <tibbs@tcamc.uh.edu>
    John Heidemann <johnh@ficus.CS.UCLA.EDU>
    Mark Boyns <boyns@sdsu.edu>
    Mark Scott <mscott@mcd.mot.com>
    Mike Finger <mfinger@mermaid.micro.umn.edu>
    Mr. Per Persson <pp@solace.mh.se>
    Nobutaka Suzuki <nobuta-s@is.aist-nara.ac.jp>

%prep
%setup
%patch
xmkmf && \
make Makefiles
%build
make && \
cd docs && latex modules.tex 
%install
#!/bin/bash
export FVWM_RDM="BUGS ChangeLog FAQ INSTALL TO-DO"
export FVWM_DOC="color_combos error_codes fvwm-2.xx.lsm fvwm.lsm m4_hacks modules.tex modules.dvi"
export FVWM_DIR=/usr/X11R6/lib/X11/fvwm2
export DOCS_DIR=/usr/doc/packages/fvwm
#
# std install targets
#
make install && \
make install.man && \
echo "Making special installation..."
#
# special install
#
#
# directories
#
echo -n "Installing dirs... "
install -m 755 -d /usr/X11R6/lib
install -m 755 -d ${DOCS_DIR}/docs
install -m 755 -d ${FVWM_DIR}/fvwmpython
install -m 755 -d ${DOCS_DIR}/fvwmpython.manual
install -m 755 -d ${FVWM_DIR}/fvwmperl
( test -f ${FVWM_DIR}/Utils && rm -f ${FVWM_DIR}/Utils )
install -m 755 -d ${FVWM_DIR}/Utils
echo "Done."
#
# libraries
#
echo -n "Installing lib... "
install -m 644 ./libs/libfvwm2.a /usr/X11R6/lib
echo "Done."
#
# doc directory
#
echo -n "Installing docs... "
( cd docs && install -m 644 ${FVWM_DOC} ${DOCS_DIR}/docs )
echo "Done."
#
# sample fvwm2rc files
#
echo -n "Installing sample files... "
( cd sample.fvwmrc && install -m 644 system.* decor_examples ${DOCS_DIR} )
( cd sample.fvwmrc && install -m 644 suse.fvwm2rc ${FVWM_DIR}/.fvwm2rc )
echo "Done."
#
# additional docs
#
echo -n "Installing doc files... "
install -m 644 ${FVWM_RDM} ${DOCS_DIR}
echo "Done."
echo -n "Installing READMEs... "
for i in `find -name "README*" | grep -v ",v" | grep -v ".orig" `
do
	TMPDIR=`dirname ${i#./}`
	if [ "x$TMPDIR" = "x." ]; then
		install -m 644 $i ${DOCS_DIR}/${i#./}
	else
		install -m 644 $i ${DOCS_DIR}/README.`basename "$TMPDIR"`
	fi
done
echo "Done."
echo -n "Installing INSTALL doc... "
for i in `find -name "INSTALL*" | grep -v ",v" | grep -v ".orig" `
do
	TMPDIR=`dirname ${i#./}`
	if [ "x$TMPDIR" = "x." ]; then
		install -m 644 $i ${DOCS_DIR}/${i#./}
	else
		install -m 644 $i ${DOCS_DIR}/INSTALL.`basename "$TMPDIR"`
	fi
done
echo "Done."
#
# additional packages: python and perl
#
echo -n "Installing fvwmpython... "
( cd extras/fvwmpython        && install -m 644 *.py ${FVWM_DIR}/fvwmpython )
( cd extras/fvwmpython/Manual && install -m 644 *    ${DOCS_DIR}/fvwmpython.manual )
echo "Done."
echo -n "Installing fvwmperl... "
( cd extras/fvwmperl
	install -m 644 *.pl  ${FVWM_DIR}/fvwmperl
	install -m 644 *.doc ${DOCS_DIR} )
echo "Done."
#
# utilities
#
echo -n "Installing utilities... "
( cd utils && install -m 755 fvwmrc_convert quantize_pixmaps BuildXLockMenu ${FVWM_DIR}/Utils )
echo "Done."
#
# check important things
#
Check
%files
%config /usr/X11R6/lib/X11/fvwm2/.fvwm2rc
%config /usr/X11R6/lib/X11/fvwm2/Scripts/system.fvwmrc
%config /usr/X11R6/lib/X11/fvwm2/system.fvwm2rc
%dir    /usr/X11R6/lib/X11/fvwm2
%dir    /usr/X11R6/lib/X11/fvwm2/Scripts
%dir    /usr/X11R6/lib/X11/fvwm2/Scripts/icons
%dir    /usr/X11R6/lib/X11/fvwm2/Utils
%dir    /usr/X11R6/lib/X11/fvwm2/fvwmperl
%dir    /usr/X11R6/lib/X11/fvwm2/fvwmpython
%docdir /usr/X11R6/man
%docdir /usr/doc/packages/fvwm
%docdir /usr/doc/packages/fvwm/docs
%docdir /usr/doc/packages/fvwm/fvwmpython.manual
/usr/X11R6/bin/fvwm2
/usr/X11R6/lib/X11/fvwm2/FvwmAudio
/usr/X11R6/lib/X11/fvwm2/FvwmAuto
/usr/X11R6/lib/X11/fvwm2/FvwmBacker
/usr/X11R6/lib/X11/fvwm2/FvwmBanner
/usr/X11R6/lib/X11/fvwm2/FvwmButtons
/usr/X11R6/lib/X11/fvwm2/FvwmCascade
/usr/X11R6/lib/X11/fvwm2/FvwmCommand
/usr/X11R6/lib/X11/fvwm2/FvwmCommand.sh
/usr/X11R6/lib/X11/fvwm2/FvwmCommandS
/usr/X11R6/lib/X11/fvwm2/FvwmConfig
/usr/X11R6/lib/X11/fvwm2/FvwmConsole
/usr/X11R6/lib/X11/fvwm2/FvwmConsoleC
/usr/X11R6/lib/X11/fvwm2/FvwmConsoleC.pl
/usr/X11R6/lib/X11/fvwm2/FvwmCpp
/usr/X11R6/lib/X11/fvwm2/FvwmDebug
/usr/X11R6/lib/X11/fvwm2/FvwmForm
/usr/X11R6/lib/X11/fvwm2/FvwmGoodStuff
/usr/X11R6/lib/X11/fvwm2/FvwmIconBox
/usr/X11R6/lib/X11/fvwm2/FvwmIconMan
/usr/X11R6/lib/X11/fvwm2/FvwmIdent
/usr/X11R6/lib/X11/fvwm2/FvwmM4
/usr/X11R6/lib/X11/fvwm2/FvwmPager
/usr/X11R6/lib/X11/fvwm2/FvwmPipe
/usr/X11R6/lib/X11/fvwm2/FvwmSave
/usr/X11R6/lib/X11/fvwm2/FvwmSaveDesk
/usr/X11R6/lib/X11/fvwm2/FvwmScript
/usr/X11R6/lib/X11/fvwm2/FvwmScroll
/usr/X11R6/lib/X11/fvwm2/FvwmTalk
/usr/X11R6/lib/X11/fvwm2/FvwmTaskBar
/usr/X11R6/lib/X11/fvwm2/FvwmTile
/usr/X11R6/lib/X11/fvwm2/FvwmWharf
/usr/X11R6/lib/X11/fvwm2/FvwmWinList
/usr/X11R6/lib/X11/fvwm2/Scripts/BellSetup
/usr/X11R6/lib/X11/fvwm2/Scripts/Buttons
/usr/X11R6/lib/X11/fvwm2/Scripts/Date
/usr/X11R6/lib/X11/fvwm2/Scripts/DeskSetup
/usr/X11R6/lib/X11/fvwm2/Scripts/FileBrowser
/usr/X11R6/lib/X11/fvwm2/Scripts/KeyboardSetup
/usr/X11R6/lib/X11/fvwm2/Scripts/PointerSetup
/usr/X11R6/lib/X11/fvwm2/Scripts/Quit
/usr/X11R6/lib/X11/fvwm2/Scripts/ScreenDump
/usr/X11R6/lib/X11/fvwm2/Scripts/ScreenSetup
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/shutdown.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.Paint2.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.Shell2.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.exit.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.lock.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.man.next.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.note.next.xpm
/usr/X11R6/lib/X11/fvwm2/Scripts/icons/small.tools2_3d.xpm
/usr/X11R6/lib/X11/fvwm2/Utils/BuildXLockMenu
/usr/X11R6/lib/X11/fvwm2/Utils/fvwmrc_convert
/usr/X11R6/lib/X11/fvwm2/Utils/quantize_pixmaps
/usr/X11R6/lib/X11/fvwm2/fvwmperl/FvwmConsole.pl
/usr/X11R6/lib/X11/fvwm2/fvwmperl/FvwmDebug.pl
/usr/X11R6/lib/X11/fvwm2/fvwmperl/FvwmForm.pl
/usr/X11R6/lib/X11/fvwm2/fvwmperl/MiniPerl.pl
/usr/X11R6/lib/X11/fvwm2/fvwmperl/fvwmmod.pl
/usr/X11R6/lib/X11/fvwm2/fvwmpython/Fvwm.py
/usr/X11R6/lib/X11/fvwm2/fvwmpython/Pydesks.py
/usr/X11R6/lib/X11/fvwm2/fvwmpython/Pyidentify.py
/usr/X11R6/lib/X11/fvwm2/fvwmpython/Pyquiter.py
/usr/X11R6/lib/X11/fvwm2/fvwmpython/Snap.py
/usr/X11R6/lib/X11/fvwm2/fvwmpython/Tracker.py
/usr/X11R6/lib/libfvwm2.a
%doc /usr/X11R6/man/man1/FvwmAudio.1.gz
%doc /usr/X11R6/man/man1/FvwmAuto.1.gz
%doc /usr/X11R6/man/man1/FvwmBacker.1.gz
%doc /usr/X11R6/man/man1/FvwmBanner.1.gz
%doc /usr/X11R6/man/man1/FvwmButtons.1.gz
%doc /usr/X11R6/man/man1/FvwmCascade.1.gz
%doc /usr/X11R6/man/man1/FvwmCommand.1.gz
%doc /usr/X11R6/man/man1/FvwmConfig.1.gz
%doc /usr/X11R6/man/man1/FvwmConsole.1.gz
%doc /usr/X11R6/man/man1/FvwmConsoleC.pl.1.gz
%doc /usr/X11R6/man/man1/FvwmCpp.1.gz
%doc /usr/X11R6/man/man1/FvwmDebug.1.gz
%doc /usr/X11R6/man/man1/FvwmForm.1.gz
%doc /usr/X11R6/man/man1/FvwmGoodStuff.1.gz
%doc /usr/X11R6/man/man1/FvwmIconBox.1.gz
%doc /usr/X11R6/man/man1/FvwmIconMan.1.gz
%doc /usr/X11R6/man/man1/FvwmIdent.1.gz
%doc /usr/X11R6/man/man1/FvwmM4.1.gz
%doc /usr/X11R6/man/man1/FvwmPager.1.gz
%doc /usr/X11R6/man/man1/FvwmSave.1.gz
%doc /usr/X11R6/man/man1/FvwmSaveDesk.1.gz
%doc /usr/X11R6/man/man1/FvwmScript.1.gz
%doc /usr/X11R6/man/man1/FvwmScroll.1.gz
%doc /usr/X11R6/man/man1/FvwmTalk.1.gz
%doc /usr/X11R6/man/man1/FvwmTaskBar.1.gz
%doc /usr/X11R6/man/man1/FvwmTile.1.gz
%doc /usr/X11R6/man/man1/FvwmWharf.1.gz
%doc /usr/X11R6/man/man1/FvwmWinList.1.gz
%doc /usr/X11R6/man/man1/fvwm2.1.gz
%doc /usr/doc/packages/fvwm/BUGS
%doc /usr/doc/packages/fvwm/ChangeLog
%doc /usr/doc/packages/fvwm/FAQ
%doc /usr/doc/packages/fvwm/INSTALL
%doc /usr/doc/packages/fvwm/INSTALL.FvwmButtons
%doc /usr/doc/packages/fvwm/INSTALL.FvwmCommand
%doc /usr/doc/packages/fvwm/INSTALL.FvwmConsole
%doc /usr/doc/packages/fvwm/INSTALL.FvwmScript
%doc /usr/doc/packages/fvwm/README
%doc /usr/doc/packages/fvwm/README.ASSound
%doc /usr/doc/packages/fvwm/README.FvwmAudio
%doc /usr/doc/packages/fvwm/README.FvwmButtons
%doc /usr/doc/packages/fvwm/README.FvwmCommand
%doc /usr/doc/packages/fvwm/README.FvwmConsole
%doc /usr/doc/packages/fvwm/README.FvwmForm
%doc /usr/doc/packages/fvwm/README.FvwmIconMan
%doc /usr/doc/packages/fvwm/README.FvwmTaskBar
%doc /usr/doc/packages/fvwm/README.FvwmWharf
%doc /usr/doc/packages/fvwm/README.FvwmWinList
%doc /usr/doc/packages/fvwm/README.Scripts
%doc /usr/doc/packages/fvwm/README.SuSE
%doc /usr/doc/packages/fvwm/README.icons
%doc /usr/doc/packages/fvwm/TO-DO
%doc /usr/doc/packages/fvwm/decor_examples
%doc /usr/doc/packages/fvwm/docs/color_combos
%doc /usr/doc/packages/fvwm/docs/error_codes
%doc /usr/doc/packages/fvwm/docs/fvwm-2.xx.lsm
%doc /usr/doc/packages/fvwm/docs/fvwm.lsm
%doc /usr/doc/packages/fvwm/docs/m4_hacks
%doc /usr/doc/packages/fvwm/docs/modules.dvi
%doc /usr/doc/packages/fvwm/docs/modules.tex
%doc /usr/doc/packages/fvwm/fvwmmod.doc
%doc /usr/doc/packages/fvwm/fvwmpython.manual/fvwm_man.html
%doc /usr/doc/packages/fvwm/fvwmpython.manual/pydesks_man.html
%doc /usr/doc/packages/fvwm/fvwmpython.manual/pyquiter_man.html
%doc /usr/doc/packages/fvwm/fvwmpython.manual/snap_man.html
%doc /usr/doc/packages/fvwm/fvwmpython.manual/tracker_man.html
%doc /usr/doc/packages/fvwm/system.fvwm2rc
%doc /usr/doc/packages/fvwm/system.fvwm2rc-sample-1
%doc /usr/doc/packages/fvwm/system.fvwm2rc-sample-2
%doc /usr/doc/packages/fvwm/system.fvwmrc
/usr/lib/perl5/FvwmCommand.pm

